Catmandu::Fix::assoc(3pm)

NAME
Catmandu::Fix::assoc - associate two values as a hash key and value

SYNOPSIS
   # {pairs => [{key => 'year', val => 2009}, {key => 'subject', val => 'Perl'}]}
   assoc(fields, pairs.*.key, pairs.*.val)
   # {fields => {subject => 'Perl', year => 2009}, pairs => [...]}

SEE ALSO
Catmandu::Fix